View Issue Details

IDProjectCategoryView StatusLast Update
0002840Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.4.0.873 
Target VersionFixed in Version6.4.0.886 
Summary0002840: Rig Control: crash during display of License Dialog at startup in HRDStationValidate() function
DescriptionNo specific repro steps, as this issue comes from analyzing a dump on the Microsoft Dev Center website.

The attached callstack reveals that there's an occasional crash when handling a timer message in the License Dialog. A little more than 1% of the crashes we've tallied.



TagsNo tags attached.
ModuleRig Control
Sub-Module(select)
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-08-13 10:27

manager   ~0005970

Spreadsheet with version details and populated stack is attached.

Mantis2840Stack.xlsx (10,105 bytes)

K7ZCZ

2018-08-22 13:02

manager   ~0005990

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4296

WA9PIE

2018-09-07 17:02

administrator   ~0006126

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-13 10:26 K7ZCZ New Issue
2018-08-13 10:27 K7ZCZ File Added: Mantis2840Stack.xlsx
2018-08-13 10:27 K7ZCZ Note Added: 0005970
2018-08-22 13:02 K7ZCZ Assigned To => K7ZCZ
2018-08-22 13:02 K7ZCZ Status new => resolved
2018-08-22 13:02 K7ZCZ Resolution open => fixed
2018-08-22 13:02 K7ZCZ Note Added: 0005990
2018-08-29 18:40 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 17:02 WA9PIE Status resolved => closed
2018-09-07 17:02 WA9PIE Description Updated View Revisions
2018-09-07 17:02 WA9PIE Testing Not Started => Not Tested
2018-09-07 17:02 WA9PIE Note Added: 0006126
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886